Skip to main content
PATCH
/
api
/
v3
/
admin
/
webhook_endpoints
/
{id}
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const endpoint = await client.webhookEndpoints.update('whe_xxx', {
  name: 'Order pipeline (v2)',
  subscriptions: ['order.completed', 'order.canceled', 'order.paid'],
})
{
  "id": "whe_UkLWZg9DAJ",
  "name": "Order pipeline (renamed)",
  "url": "https://shop.example.com/webhooks/orders",
  "active": true,
  "subscriptions": [
    "order.created",
    "order.completed",
    "product.created"
  ],
  "disabled_reason": null,
  "created_at": "2026-06-05T13:13:16.252Z",
  "updated_at": "2026-06-05T13:13:16.530Z",
  "disabled_at": null,
  "secret_key": null,
  "last_delivery_at": null,
  "recent_delivery_count": 0,
  "recent_failure_count": 0,
  "total_delivery_count": 0,
  "successful_delivery_count": 0,
  "failed_delivery_count": 0
}

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

id
string
required

Webhook endpoint ID

Body

application/json
name
string
url
string
active
boolean
subscriptions
string[]

Response

webhook endpoint updated